Commit 81ced55f authored by Dennis Schubert's avatar Dennis Schubert

Merge branch 'release/0.5.7.0'

parents ad20bb05 e66ff697
AllCops:
RunRailsCops: true
Exclude:
- 'db/schema.rb'
- "bin/**/*"
- "db/schema.rb"
# Commonly used screens these days easily fit more than 80 characters.
Metrics/LineLength:
......@@ -15,6 +16,8 @@ Metrics/MethodLength:
# The guiding principle of classes is SRP, SRP can't be accurately measured by LoC
Metrics/ClassLength:
Max: 1500
Metrics/ModuleLength:
Max: 1500
# Raise AbcSize from 15 to 20
Metrics/AbcSize:
......
# 0.5.7.0
## Refactor
* Internationalize controller rescue\_from text [#6554](https://github.com/diaspora/diaspora/pull/6554)
* Make mention parsing a bit more robust [#6658](https://github.com/diaspora/diaspora/pull/6658)
* Remove unlicensed images [#6673](https://github.com/diaspora/diaspora/pull/6673)
* Removed unused contacts\_title [#6687](https://github.com/diaspora/diaspora/pull/6687)
## Bug fixes
* Fix plural rules handling more than wanted as "one" [#6630](https://github.com/diaspora/diaspora/pull/6630)
* Fix `suppress_annoying_errors` eating too much errors [#6653](https://github.com/diaspora/diaspora/pull/6653)
* Ensure the rubyzip gem is properly loaded [#6659](https://github.com/diaspora/diaspora/pull/6659)
* Fix mobile registration layout after failed registration [#6677](https://github.com/diaspora/diaspora/pull/6677)
* Fix mirrored names when using a RTL language [#6680](https://github.com/diaspora/diaspora/pull/6680)
* Disable submitting a post multiple times in the mobile UI [#6682](https://github.com/diaspora/diaspora/pull/6682)
## Features
* Keyboard shortcuts now do work on profile pages as well [#6647](https://github.com/diaspora/diaspora/pull/6647/files)
* Add the podmin email address to 500 errors [#6652](https://github.com/diaspora/diaspora/pull/6652)
# 0.5.6.3
Fix evil regression caused by Active Model no longer exposing
......
......@@ -12,28 +12,28 @@ gem "unicorn", "5.0.1", require: false
# Federation
gem "diaspora_federation-rails", "0.0.11"
gem "diaspora_federation-rails", "0.0.12"
# API and JSON
gem "acts_as_api", "0.4.2"
gem "json", "1.8.3"
gem "json-schema", "2.5.2"
gem "json-schema", "2.6.0"
# Authentication
gem "devise", "3.5.4"
gem "devise", "3.5.6"
gem "devise_lastseenable", "0.0.6"
gem "devise-token_authenticatable", "~> 0.4.0"
# Captcha
gem "simple_captcha2", "0.3.4", require: "simple_captcha"
gem "simple_captcha2", "0.4.0", require: "simple_captcha"
# Background processing
gem "sidekiq", "3.4.2"
gem "sinatra", "1.4.6"
gem "sinatra", "1.4.7"
# Scheduled processing
......@@ -56,22 +56,22 @@ gem "rack-cors", "0.4.0", require: "rack/cors"
gem "bootstrap-sass", "2.3.2.2"
gem "compass-rails", "2.0.5"
gem "sass-rails", "5.0.4"
gem "autoprefixer-rails", "6.2.2"
gem "autoprefixer-rails", "6.3.1"
# Database
ENV["DB"] ||= "mysql"
gem "mysql2", "0.3.20" if ENV["DB"] == "all" || ENV["DB"] == "mysql"
gem "mysql2", "0.4.2" if ENV["DB"] == "all" || ENV["DB"] == "mysql"
gem "pg", "0.18.4" if ENV["DB"] == "all" || ENV["DB"] == "postgres"
gem "activerecord-import", "0.10.0"
gem "activerecord-import", "0.11.0"
# File uploading
gem "carrierwave", "0.10.0"
gem "fog", "1.37.0"
gem "mini_magick", "4.3.6"
gem "mini_magick", "4.4.0"
gem "remotipart", "1.2.1"
# GUID generation
......@@ -84,30 +84,30 @@ gem "entypo-rails", "2.2.3"
# JavaScript
gem "backbone-on-rails", "1.2.0.0"
gem "handlebars_assets", "0.22.0"
gem "jquery-rails", "4.0.5"
gem "handlebars_assets", "0.23.0"
gem "jquery-rails", "4.1.0"
gem "jquery-ui-rails", "5.0.5"
gem "js_image_paths", "0.0.2"
gem "js-routes", "1.2.0"
gem "js-routes", "1.2.3"
source "https://rails-assets.org" do
gem "rails-assets-jquery", "1.11.2" # Should be kept in sync with jquery-rails
gem "rails-assets-jquery", "1.12.0" # Should be kept in sync with jquery-rails
gem "rails-assets-markdown-it", "5.0.2"
gem "rails-assets-markdown-it", "6.0.0"
gem "rails-assets-markdown-it-hashtag", "0.4.0"
gem "rails-assets-markdown-it-diaspora-mention", "0.4.0"
gem "rails-assets-markdown-it-sanitizer", "0.4.1"
gem "rails-assets-markdown-it--markdown-it-for-inline", "0.1.1"
gem "rails-assets-markdown-it-sub", "1.0.0"
gem "rails-assets-markdown-it-sup", "1.0.0"
gem "rails-assets-highlightjs", "9.0.0"
gem "rails-assets-highlightjs", "9.1.0"
# jQuery plugins
gem "rails-assets-jeresig--jquery.hotkeys", "0.2.0"
gem "rails-assets-jquery-placeholder", "2.3.1"
gem "rails-assets-jquery-textchange", "0.2.3"
gem "rails-assets-perfect-scrollbar", "0.6.8"
gem "rails-assets-perfect-scrollbar", "0.6.10"
gem "rails-assets-jakobmattsson--jquery-elastic", "1.6.11"
end
......@@ -128,7 +128,7 @@ gem "messagebus_ruby_api", "1.0.3"
gem "nokogiri", "1.6.7.2"
gem "redcarpet", "3.3.4"
gem "twitter-text", "1.13.0"
gem "twitter-text", "1.13.3"
gem "roxml", "3.1.6"
gem "ruby-oembed", "0.9.0"
gem "open_graph_reader", "0.6.1"
......@@ -139,12 +139,12 @@ gem "omniauth", "1.3.1"
gem "omniauth-facebook", "3.0.0"
gem "omniauth-tumblr", "1.2"
gem "omniauth-twitter", "1.2.1"
gem "twitter", "5.15.0"
gem "twitter", "5.16.0"
gem "omniauth-wordpress", "0.2.2"
# Serializers
gem "active_model_serializers", "0.9.3"
gem "active_model_serializers", "0.9.4"
# XMPP chat dependencies
gem "diaspora-vines", "~> 0.2.0.develop"
......@@ -167,7 +167,7 @@ gem "typhoeus", "0.8.0"
gem "gon", "6.0.1"
gem "haml", "4.0.7"
gem "mobile-fu", "1.3.1"
gem "will_paginate", "3.0.7"
gem "will_paginate", "3.1.0"
gem "rails-timeago", "2.11.0"
# Logging
......@@ -176,7 +176,7 @@ gem "logging-rails", "0.5.0", require: "logging/rails"
# Reading and writing zip files
gem "rubyzip", "1.1.7"
gem "rubyzip", "1.1.7", require: "zip"
# Prevent occasions where minitest is not bundled in
# packaged versions of ruby. See following issues/prs:
......@@ -227,8 +227,8 @@ group :development do
gem "guard-rspec", "4.6.4"
gem "guard-rubocop", "1.2.0"
gem "guard", "2.13.0", require: false
gem "rb-fsevent", "0.9.6", require: false
gem "rb-inotify", "0.9.5", require: false
gem "rb-fsevent", "0.9.7", require: false
gem "rb-inotify", "0.9.7", require: false
# Linters
gem "jshintrb", "0.3.0"
......@@ -236,7 +236,7 @@ group :development do
# Preloading environment
gem "spring", "1.6.1"
gem "spring", "1.6.3"
gem "spring-commands-rspec", "1.0.4"
gem "spring-commands-cucumber", "1.0.1"
......@@ -246,7 +246,7 @@ group :development do
gem "pry-byebug"
# test coverage
gem "simplecov", "0.11.1", require: false
gem "simplecov", "0.11.2", require: false
end
group :test do
......@@ -259,26 +259,26 @@ group :test do
# Cucumber (integration tests)
gem "capybara", "2.5.0"
gem "capybara", "2.6.2"
gem "database_cleaner" , "1.5.1"
gem "selenium-webdriver", "2.47.1"
# General helpers
gem "factory_girl_rails", "4.5.0"
gem "factory_girl_rails", "4.6.0"
gem "timecop", "0.8.0"
gem "webmock", "1.22.3", require: false
gem "shoulda-matchers", "3.0.1"
gem "webmock", "1.22.6", require: false
gem "shoulda-matchers", "3.1.1"
gem "diaspora_federation-test", "0.0.11"
gem "diaspora_federation-test", "0.0.12"
end
group :development, :test do
# RSpec (unit tests, some integration tests)
gem "rspec-rails", "3.3.3"
gem "rspec-rails", "3.4.2"
# Cucumber (integration tests)
gem "cucumber-rails", "1.4.2", require: false
gem "cucumber-rails", "1.4.3", require: false
# Jasmine (client side application tests (JS))
gem "jasmine", "2.4.0"
......
......@@ -22,7 +22,7 @@ GEM
erubis (~> 2.7.0)
rails-dom-testing (~> 1.0, >= 1.0.5)
rails-html-sanitizer (~> 1.0, >= 1.0.2)
active_model_serializers (0.9.3)
active_model_serializers (0.9.4)
activemodel (>= 3.2)
activejob (4.2.5.1)
activesupport (= 4.2.5.1)
......@@ -34,7 +34,7 @@ GEM
activemodel (= 4.2.5.1)
activesupport (= 4.2.5.1)
arel (~> 6.0)
activerecord-import (0.10.0)
activerecord-import (0.11.0)
activerecord (>= 3.0)
activesupport (4.2.5.1)
i18n (~> 0.7)
......@@ -57,7 +57,7 @@ GEM
ast (2.2.0)
astrolabe (1.3.1)
parser (~> 2.2)
autoprefixer-rails (6.2.2)
autoprefixer-rails (6.3.1)
execjs
json
backbone-on-rails (1.2.0.0)
......@@ -70,8 +70,9 @@ GEM
sass (~> 3.2)
buftok (0.2.0)
builder (3.2.2)
byebug (8.2.1)
capybara (2.5.0)
byebug (8.2.2)
capybara (2.6.2)
addressable
mime-types (>= 1.16)
nokogiri (>= 1.3.3)
rack (>= 1.0.0)
......@@ -87,7 +88,7 @@ GEM
celluloid-io (0.16.2)
celluloid (>= 0.16.0)
nio4r (>= 1.1.0)
childprocess (0.5.8)
childprocess (0.5.9)
ffi (~> 1.0, >= 1.0.11)
chunky_png (1.3.5)
coderay (1.1.0)
......@@ -118,20 +119,25 @@ GEM
connection_pool (2.2.0)
crack (0.4.3)
safe_yaml (~> 1.0.0)
cucumber (1.3.20)
cucumber (2.3.2)
builder (>= 2.1.2)
cucumber-core (~> 1.4.0)
cucumber-wire (~> 0.0.1)
diff-lcs (>= 1.1.3)
gherkin (~> 2.12)
gherkin (~> 3.2.0)
multi_json (>= 1.7.5, < 2.0)
multi_test (>= 0.1.2)
cucumber-rails (1.4.2)
cucumber-core (1.4.0)
gherkin (~> 3.2.0)
cucumber-rails (1.4.3)
capybara (>= 1.1.2, < 3)
cucumber (>= 1.3.8, < 2)
mime-types (>= 1.16, < 3)
cucumber (>= 1.3.8, < 3)
mime-types (>= 1.16, < 4)
nokogiri (~> 1.5)
rails (>= 3, < 5)
railties (>= 3, < 5)
cucumber-wire (0.0.1)
database_cleaner (1.5.1)
devise (3.5.4)
devise (3.5.6)
bcrypt (~> 3.0)
orm_adapter (~> 0.1)
railties (>= 3.2.6, < 5)
......@@ -150,21 +156,21 @@ GEM
eventmachine (~> 1.0.8)
http_parser.rb (~> 0.6)
nokogiri (~> 1.6)
diaspora_federation (0.0.11)
diaspora_federation (0.0.12)
faraday (~> 0.9.0)
faraday_middleware (~> 0.10.0)
nokogiri (~> 1.6, >= 1.6.7.1)
typhoeus (~> 0.7)
valid (~> 1.0)
diaspora_federation-rails (0.0.11)
diaspora_federation (= 0.0.11)
diaspora_federation-rails (0.0.12)
diaspora_federation (= 0.0.12)
rails (~> 4.2)
diaspora_federation-test (0.0.11)
diaspora_federation (= 0.0.11)
diaspora_federation-test (0.0.12)
diaspora_federation (= 0.0.12)
factory_girl (~> 4.5, >= 4.5.0)
diff-lcs (1.2.5)
docile (1.1.5)
domain_name (0.5.25)
domain_name (0.5.20160128)
unf (>= 0.0.5, < 1.0.0)
eco (1.0.0)
coffee-script
......@@ -172,16 +178,16 @@ GEM
execjs
eco-source (1.1.0.rc.1)
ejs (1.1.1)
em-hiredis (0.3.0)
em-hiredis (0.3.1)
eventmachine (~> 1.0)
hiredis (~> 0.5.0)
hiredis (~> 0.6.0)
entypo-rails (2.2.3)
railties (>= 3.1, <= 5)
equalizer (0.0.10)
erubis (2.7.0)
ethon (0.8.0)
ethon (0.8.1)
ffi (>= 1.3.0)
eventmachine (1.0.8)
eventmachine (1.0.9.1)
excon (0.45.4)
execjs (2.6.0)
eye (0.7)
......@@ -195,7 +201,7 @@ GEM
thor (>= 0.14, < 2.0)
factory_girl (4.5.0)
activesupport (>= 3.0.0)
factory_girl_rails (4.5.0)
factory_girl_rails (4.6.0)
factory_girl (~> 4.5.0)
railties (>= 3.0.0)
faraday (0.9.2)
......@@ -245,7 +251,7 @@ GEM
fog-atmos (0.1.0)
fog-core
fog-xml
fog-aws (0.7.6)
fog-aws (0.8.1)
fog-core (~> 1.27)
fog-json (~> 1.0)
fog-xml (~> 0.1)
......@@ -282,7 +288,7 @@ GEM
fog-core
fog-xml
nokogiri
fog-radosgw (0.0.4)
fog-radosgw (0.0.5)
fog-core (>= 1.21.0)
fog-json
fog-xml (>= 0.0.1)
......@@ -296,7 +302,7 @@ GEM
fog-serverlove (0.1.2)
fog-core
fog-json
fog-softlayer (1.0.2)
fog-softlayer (1.0.3)
fog-core
fog-json
fog-storm_on_demand (0.1.1)
......@@ -311,10 +317,10 @@ GEM
fog-voxel (0.1.0)
fog-core
fog-xml
fog-vsphere (0.4.0)
fog-vsphere (0.6.0)
fog-core
rbvmomi (~> 1.8)
fog-xenserver (0.2.2)
fog-xenserver (0.2.3)
fog-core
fog-xml
fog-xml (0.1.2)
......@@ -326,8 +332,7 @@ GEM
fuubar (2.0.0)
rspec (~> 3.0)
ruby-progressbar (~> 1.4)
gherkin (2.12.2)
multi_json (~> 1.3)
gherkin (3.2.0)
globalid (0.3.6)
activesupport (>= 4.1.0)
gon (6.0.1)
......@@ -361,17 +366,17 @@ GEM
rubocop (~> 0.20)
haml (4.0.7)
tilt
handlebars_assets (0.22.0)
handlebars_assets (0.23.0)
execjs (~> 2.0)
multi_json (~> 1.0)
sprockets (>= 2.0.0, < 4.0)
tilt (~> 1.2)
sprockets (>= 2.0.0)
tilt (>= 1.2)
hashdiff (0.2.3)
hashie (3.4.3)
hike (1.2.3)
hiredis (0.5.2)
hiredis (0.6.1)
hitimes (1.2.3)
http (0.9.8)
http (1.0.2)
addressable (~> 2.3)
http-cookie (~> 1.0)
http-form_data (~> 1.0.1)
......@@ -390,7 +395,7 @@ GEM
railties (>= 3.0.0)
ice_cube (0.11.1)
inflecto (0.0.2)
ipaddress (0.8.0)
ipaddress (0.8.2)
jasmine (2.4.0)
jasmine-core (~> 2.4)
phantomjs
......@@ -398,13 +403,13 @@ GEM
rake
jasmine-core (2.4.1)
jasmine-jquery-rails (2.0.3)
jquery-rails (4.0.5)
jquery-rails (4.1.0)
rails-dom-testing (~> 1.0)
railties (>= 4.2.0)
thor (>= 0.14, < 2.0)
jquery-ui-rails (5.0.5)
railties (>= 3.2.16)
js-routes (1.2.0)
js-routes (1.2.3)
railties (>= 3.2)
sprockets-rails
js_image_paths (0.0.2)
......@@ -414,9 +419,9 @@ GEM
multi_json (>= 1.3)
rake
json (1.8.3)
json-schema (2.5.2)
json-schema (2.6.0)
addressable (~> 2.3.8)
jwt (1.5.2)
jwt (1.5.1)
kaminari (0.16.3)
actionpack (>= 3.0.0)
activesupport (>= 3.0.0)
......@@ -432,7 +437,7 @@ GEM
logging (>= 1.8)
loofah (2.0.3)
nokogiri (>= 1.5.9)
lumberjack (1.0.9)
lumberjack (1.0.10)
macaddr (1.7.1)
systemu (~> 2.6.2)
mail (2.6.3)
......@@ -443,7 +448,7 @@ GEM
messagebus_ruby_api (1.0.3)
method_source (0.8.2)
mime-types (2.99)
mini_magick (4.3.6)
mini_magick (4.4.0)
mini_portile2 (2.0.0)
minitest (5.8.4)
mobile-fu (1.3.1)
......@@ -453,9 +458,8 @@ GEM
multi_test (0.1.2)
multi_xml (0.5.5)
multipart-post (2.0.0)
mysql2 (0.3.20)
naught (1.1.0)
nenv (0.2.0)
nenv (0.3.0)
nested_form (0.3.2)
nio4r (1.2.0)
nokogiri (1.6.7.2)
......@@ -464,12 +468,12 @@ GEM
nenv (~> 0.1)
shellany (~> 0.0)
oauth (0.4.7)
oauth2 (1.0.0)
oauth2 (1.1.0)
faraday (>= 0.8, < 0.10)
jwt (~> 1.0)
jwt (~> 1.0, < 1.5.2)
multi_json (~> 1.3)
multi_xml (~> 0.5)
rack (~> 1.2)
rack (>= 1.2, < 3)
omniauth (1.3.1)
hashie (>= 1.2, < 4)
rack (>= 1.0, < 3)
......@@ -493,9 +497,10 @@ GEM
faraday (~> 0.9.0)
nokogiri (~> 1.6)
orm_adapter (0.5.0)
parser (2.2.3.0)
ast (>= 1.1, < 3.0)
phantomjs (1.9.8.0)
parser (2.3.0.4)
ast (~> 2.2)
pg (0.18.4)
phantomjs (2.1.1.0)
powerpack (0.1.1)
pry (0.10.3)
coderay (~> 1.1.0)
......@@ -545,7 +550,7 @@ GEM
rails-assets-jquery.slimscroll (~> 1.3.6)
rails-assets-jquery.ui (~> 1.11.4)
rails-assets-favico.js (0.3.10)
rails-assets-highlightjs (9.0.0)
rails-assets-highlightjs (9.1.0)
rails-assets-jakobmattsson--jquery-elastic (1.6.11)
rails-assets-jquery (>= 1.2.6)
rails-assets-jasmine (2.4.1)
......@@ -553,7 +558,7 @@ GEM
rails-assets-jasmine (~> 2)
rails-assets-jeresig--jquery.hotkeys (0.2.0)
rails-assets-jquery (>= 1.4.2)
rails-assets-jquery (1.11.2)
rails-assets-jquery (1.12.0)
rails-assets-jquery-colorbox (1.6.3)
rails-assets-jquery (>= 1.3.2)
rails-assets-jquery-fullscreen-plugin (0.5.0)
......@@ -565,13 +570,13 @@ GEM
rails-assets-jquery.ui (1.11.4)
rails-assets-jquery (>= 1.6)
rails-assets-markdown-it--markdown-it-for-inline (0.1.1)
rails-assets-markdown-it (5.0.2)
rails-assets-markdown-it (6.0.0)
rails-assets-markdown-it-diaspora-mention (0.4.0)
rails-assets-markdown-it-hashtag (0.4.0)
rails-assets-markdown-it-sanitizer (0.4.1)
rails-assets-markdown-it-sub (1.0.0)
rails-assets-markdown-it-sup (1.0.0)
rails-assets-perfect-scrollbar (0.6.8)
rails-assets-perfect-scrollbar (0.6.10)
rails-deprecated_sanitizer (1.0.3)
activesupport (>= 4.2.0.alpha)
rails-dom-testing (1.0.7)
......@@ -605,11 +610,11 @@ GEM
activesupport (= 4.2.5.1)
rake (>= 0.8.7)
thor (>= 0.18.1, < 2.0)
rainbow (2.0.0)
rainbow (2.1.0)
raindrops (0.15.0)
rake (10.5.0)
rb-fsevent (0.9.6)
rb-inotify (0.9.5)
rb-fsevent (0.9.7)
rb-inotify (0.9.7)
ffi (>= 0.5.0)
rbvmomi (1.8.2)
builder
......@@ -620,35 +625,35 @@ GEM
redis-namespace (1.5.2)
redis (~> 3.0, >= 3.0.4)
remotipart (1.2.1)
request_store (1.2.1)
request_store (1.3.0)
responders (2.1.1)
railties (>= 4.2.0, < 5.1)
roxml (3.1.6)
activesupport (>= 2.3.0)
nokogiri (>= 1.3.3)
rspec (3.3.0)
rspec-core (~> 3.3.0)
rspec-expectations (~> 3.3.0)
rspec-mocks (~> 3.3.0)
rspec-core (3.3.2)
rspec-support (~> 3.3.0)
rspec-expectations (3.3.1)
rspec (3.4.0)
rspec-core (~> 3.4.0)
rspec-expectations (~> 3.4.0)
rspec-mocks (~> 3.4.0)
rspec-core (3.4.2)
rspec-support (~> 3.4.0)
rspec-expectations (3.4.0)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.3.0)
rspec-support (~> 3.4.0)
rspec-instafail (0.4.0)
rspec
rspec-mocks (3.3.2)
rspec-mocks (3.4.1)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.3.0)
rspec-rails (3.3.3)
rspec-support (~> 3.4.0)
rspec-rails (3.4.2)
actionpack (>= 3.0, < 4.3)
activesupport (>= 3.0, < 4.3)
railties (>= 3.0, < 4.3)
rspec-core (~> 3.3.0)
rspec-expectations (~> 3.3.0)
rspec-mocks (~> 3.3.0)
rspec-support (~> 3.3.0)
rspec-support (3.3.0)
rspec-core (~> 3.4.0)
rspec-expectations (~> 3.4.0)
rspec-mocks (~> 3.4.0)
rspec-support (~> 3.4.0)
rspec-support (3.4.1)
rubocop (0.35.1)
astrolabe (~> 1.3)
parser (>= 2.2.3.0, < 3.0)
......@@ -660,7 +665,7 @@ GEM
ruby-progressbar (1.7.5)
rubyzip (1.1.7)
safe_yaml (1.0.4)
sass (3.4.20)
sass (3.4.21)
sass-rails (5.0.4)
railties (>= 4.0.0, < 5.0)
sass (~> 3.1)
......@@ -673,7 +678,7 @@ GEM
rubyzip (~> 1.0)
websocket (~> 1.0)
shellany (0.0.1)
shoulda-matchers (3.0.1)
shoulda-matchers (3.1.1)
activesupport (>= 4.0.0)
sidekiq (3.4.2)
celluloid (~> 0.16.0)
......@@ -686,22 +691,22 @@ GEM
ice_cube (= 0.11.1)
sidekiq (>= 3.0.0)
sigar (0.7.3)
simple_captcha2 (0.3.4)
simple_captcha2 (0.4.0)
rails (>= 4.1)
simple_oauth (0.3.1)
simplecov (0.11.1)
simplecov (0.11.2)
docile (~> 1.1.0)
json (~> 1.8)
simplecov-html (~> 0.10.0)
simplecov-html (0.10.0)
sinatra (1.4.6)
rack (~> 1.4)